import { Configuration } from '@gluons/vue-pack-types';
/**
 * Load configuration from config file.
 * (If `privilegeConfig` is given, it'll override loaded config.)
 *
 * @export
 * @param {(Partial<Configuration> | Configuration)} [privilegeConfig] High priority config to override config from config file
 * @param {string} [configPath] Path to config file
 * @returns {Promise<Configuration>}
 */
export default function loadConfig(privilegeConfig?: Partial<Configuration> | Configuration, configPath?: string): Promise<Configuration>;
